%define majver %(echo %version | cut -d. -f1-2)
Name:          xfdesktop
Version:       4.20.1
Release:       1mamba
Summary:       Desktop manager for the Xfce Desktop Environment
Group:         Graphical Desktop/Applications/Other
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.xfce.org/
Source:        http://archive.xfce.org/src/xfce/xfdesktop/%{majver}/xfdesktop-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: Thunar-devel
BuildRequires: exo-devel
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libcairo-devel
BuildRequires: libgarcon-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libnotify-devel
BuildRequires: libpango-devel
BuildRequires: libxfce4ui-devel
BuildRequires: libxfce4util-devel
BuildRequires: libxfce4windowing-devel
BuildRequires: libxfconf-devel
BuildRequires: libyaml-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libxfce4windowing-devel

%description
xfdesktop is a desktop manager for the Xfce Desktop Environment.


%prep
%setup -q

%build
%configure --enable-final
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/xfdesktop
%{_bindir}/xfdesktop-settings
%{_datadir}/applications/xfce-backdrop-settings.desktop
%dir %{_datadir}/backgrounds/xfce
%{_datadir}/backgrounds/xfce/xfce-*.jpg
%{_datadir}/backgrounds/xfce/xfce-*.svg
%{_datadir}/icons/hicolor/*/apps/org.xfce.xfdesktop.png
%{_datadir}/icons/hicolor/scalable/apps/org.xfce.xfdesktop.svg
%{_datadir}/pixmaps/xfce4_xicon*.png
%{_datadir}/pixmaps/xfdesktop/xfdesktop-fallback-icon.png
%{_mandir}/man1/xfdesktop.1*
%doc AUTHORS COPYING
# ChangeLog NEWS README TODO

%changelog
* Mon Feb 17 2025 Automatic Build System <autodist@openmamba.org> 4.20.1-1mamba
- automatic version update by autodist

* Sun Jan 05 2025 Automatic Build System <autodist@openmamba.org> 4.20.0-1mamba
- automatic version update by autodist

* Mon Jan 23 2023 Automatic Build System <autodist@mambasoft.it> 4.18.1-1mamba
- automatic version update by autodist

* Tue Dec 20 2022 Automatic Build System <autodist@mambasoft.it> 4.18.0-1mamba
- automatic version update by autodist

* Sun Aug 21 2022 Automatic Build System <autodist@mambasoft.it> 4.16.1-1mamba
- automatic version update by autodist

* Thu Jan 14 2021 Automatic Build System <autodist@mambasoft.it> 4.16.0-1mamba
- automatic version update by autodist

* Tue Nov 03 2020 Automatic Build System <autodist@mambasoft.it> 4.14.3-1mamba
- automatic version update by autodist

* Mon Jan 13 2020 Automatic Build System <autodist@mambasoft.it> 4.14.2-1mamba
- automatic version update by autodist

* Tue Nov 05 2019 Automatic Build System <autodist@mambasoft.it> 4.14.1-1mamba
- automatic version update by autodist

* Mon Jul 08 2019 Automatic Build System <autodist@mambasoft.it> 4.12.5-1mamba
- automatic version update by autodist

* Sun Jul 19 2015 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Sun May 17 2015 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Mon Mar 23 2015 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Mon Mar 16 2015 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Sun Nov 16 2014 Automatic Build System <autodist@mambasoft.it> 4.10.3-1mamba
- automatic version update by autodist

* Fri May 10 2013 Automatic Build System <autodist@mambasoft.it> 4.10.2-1mamba
- update to 4.10.2

* Mon Aug 13 2012 Automatic Build System <autodist@mambasoft.it> 4.10.0-1mamba
- automatic version update by autodist

* Fri Jan 28 2011 Automatic Build System <autodist@mambasoft.it> 4.8.0-1mamba
- update to 4.8.0

* Tue Jun 01 2010 Automatic Build System <autodist@mambasoft.it> 4.6.2-1mamba
- automatic update to 4.6.2 by autodist

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 4.6.1-2mamba
- automatic rebuild by autodist

* Sat May 02 2009 Automatic Build System <autodist@mambasoft.it> 4.6.1-1mamba
- automatic update to 4.6.1 by autodist

* Mon Mar 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.6.0-1mamba
- update to 4.6.0

* Sat Apr 14 2007 Tiziano Pratellesi <tiziano.pratellesi@openmamba.org> 4.4.1-1mamba
- update to 4.4.1

* Thu Mar 22 2007 Tiziano Pratellesi <tiziano.pratellesi@openmamba.org> 4.4.0-1qilnx
- update to 4.4.0

* Mon Sep 25 2006 Tiziano Pratellesi <info@mycare.it> 4.3.99.1-2qilnx
- update spec file

* Mon Sep 25 2006 Tiziano Pratellesi <info@mycare.it> 4.3.99.1-1qilnx
- update to 4.3.99.1

* Thu Sep 21 2006 Tiziano Pratellesi <info@mycare.it> 4.3.90.2-1qilnx
- update to 4.3.90.2

* Tue Sep 19 2006 Tiziano Pratellesi <info@mycare.it> 4.2.3-1qilnx
- package created by autospec
